## dbus-broker 26

=== Makefile ===
#
# Maintenance Scripts
#
# This Makefile contains a random selection of targets for easy development.
# They mostly serve as example how most of the build/test infrastructure is
# used. Feel free to adjust them to your needs.
#

#
# The gcc warning-sets -Wall and -Wextra enable some annoying warnings, which
# we really do not care about. Disable them here. Additionally, add some
# warnings that we consider mandatory for our code-base.
#
MYCFLAGS= \
	-Wno-unused-parameter \
	-Wno-maybe-uninitialized \
	-Wno-pointer-arith \
	-Wno-unknown-warning-option \
	\
	-Wundef \
	-Wlogical-op \
	-Wmissing-include-dirs \
	-Wold-style-definition \
	-Wdeclaration-after-statement \
	-Wfloat-equal \
	-Wsuggest-attribute=noreturn \
	-Wstrict-prototypes \
	-Wredundant-decls \
	-Wmissing-noreturn \
	-Wshadow \
	-Wendif-labels \
	-Wstrict-aliasing=3 \
	-Wwrite-strings \
	-Wdate-time \
	-Wnested-externs \
	-Werror=overflow \
	-Werror=missing-prototypes \
	-Werror=implicit-function-declaration \
	-Werror=missing-declarations \
	-Werror=return-type \
	-Werror=incompatible-pointer-types

BUILDDIR?="$$PWD/mybuild"

all:
	@echo "Available targets:"
	@echo "  meson: Generate build files via meson"
	@echo "  ninja: Build project via ninja"
	@echo "   test: Run test suite via ninja"
	@echo "    osi: Build test-container via mkosi"
	@echo "    run: Run test-container via nspawn"
	@echo "release: Print checklist for releases"
.PHONY: all

meson:
	rm -Rf ${BUILDDIR}
	CFLAGS="${MYCFLAGS} $$CFLAGS" \
		meson \
			${BUILDDIR} \
			--prefix /usr \
			--buildtype debugoptimized \
			--warnlevel 2 \
			-Dlauncher=false \
			${MESONFLAGS}
.PHONY: meson

ninja:
	ninja \
		-C ${BUILDDIR} \
		${NINJAFLAGS}
.PHONY: ninja

docs:
	mkdir -p ${BUILDDIR}/docs
	rst2man docs/dbus-broker-launch.rst ${BUILDDIR}/docs/dbus-broker-launch.1
	rst2man docs/dbus-broker.rst ${BUILDDIR}/docs/dbus-broker.1
.PHONY: docs

test:
	ninja \
		-C ${BUILDDIR} \
		${NINJAFLAGS} \
		test
.PHONY: test

osi:
	mkosi \
		-C test/osi/ \
		--build-sources "../../" \
		--force
.PHONY: osi

run:
	systemd-nspawn \
		-b \
		-D test/osi/rootfs/ \
		--bind-ro "${BUILDDIR}/src/dbus-broker:/usr/bin/dbus-broker" \
		--bind-ro "${BUILDDIR}/src/dbus-broker-launch:/usr/bin/dbus-broker-launch"
.PHONY: run

VNEXT=2
VPREV="$$((${VNEXT} - 1))"
release:
	@echo "Checklist for release of dbus-broker-${VNEXT}:"
	@echo
	@echo " * Fill in NEWS via:"
	@echo "       git log v${VPREV}..HEAD"
	@echo " * List contributors in NEWS via:"
	@echo "       git log --format='%an, ' v${VPREV}..HEAD | sort -u | tr -d '\n'"
	@echo " * Bump project.version in ./meson.build"
	@echo
	@echo " * Commit and push at least once"
	@echo
	@echo " * Tag 'v${VNEXT}' with content 'dbus-broker ${VNEXT}' via:"
	@echo "       git tag -s -m 'dbus-broker ${VNEXT}' v${VNEXT} HEAD"
	@echo " * Create tarball via: (VERIFY YOU HAVE v${VNEXT} CHECKED OUT!)"
	@echo "       git archive-all -v --prefix dbus-broker-${VNEXT}/ dbus-broker-${VNEXT}.tar"
	@echo "       xz dbus-broker-${VNEXT}.tar"
	@echo
	@echo " * Build and test tarball"
	@echo
	@echo " * Push tag via:"
	@echo "       git push <remote> v${VNEXT}"
	@echo " * Upload tarball to github via custom release"
	@echo
.PHONY: release

=== debian/changelog ===
dbus-broker (26-1+deb11u2) bullseye; urgency=medium

  * Backport patch to fix assertion failure when disconnecting peer groups
  * Backport patch to fix memory leak
  * Backport patches to fix null pointer dereference (CVE-2022-31213)

 -- Luca Boccassi <bluca@debian.org>  Thu, 04 Aug 2022 12:55:19 +0100

dbus-broker (26-1+deb11u1) bullseye; urgency=medium

  * Backport strnspn-fix-buffer-overflow.patch to fix CVE-2022-31212
    (Closes: #1013343)

 -- Luca Boccassi <bluca@debian.org>  Wed, 22 Jun 2022 22:27:17 +0100

dbus-broker (26-1) unstable; urgency=low

  * Update upstream source from tag 'upstream/26'
  * maintscript: do reboot notification on first install too (Closes:
    #980540)
  * Do not stop the service on package removal (Closes: #980541)
  * Do not start after installation
  * Do not fail the installation if a reload fails
  * Add autopkgtest and run unit tests

 -- Luca Boccassi <bluca@debian.org>  Fri, 22 Jan 2021 00:00:39 +0000

dbus-broker (25-2) unstable; urgency=low

  * Upload to unstable, no changes.

 -- Luca Boccassi <bluca@debian.org>  Sun, 17 Jan 2021 14:40:56 +0000

dbus-broker (25-1) experimental; urgency=medium

  [ Daniele Nicolodi ]
  * Initial release. Closes: #892001
  * Install NEWS file as package upstream changelog.
  * Bump Standards-Version to 4.1.4. No changes required.
  * Bump debhelper compat to 11. No changes required.
  * Do not restart the system bus daemon on upgrade.
  * New upstream release 12.
  * New upstream release 13.
  * Extend README.Debian.
  * Suggest a reboot on upgrade or when replacig dbus-deamon.
  * Check $DEB_BUILD_OPTIONS in override_dh_auto_test.
  * Enable all hardening features.
  * New upstream release 14.

  [ Luca Boccassi ]
  * gbp.conf: change main branch to debian/sid
  * Update d/watch file to get release tarball instead of git archive
  * Update upstream source from tag 'upstream/25'
  * Ship NEWS.md (converted from NEWS)
  * Build-Depend on libcap-ng-dev for audit
  * Convert to python3-docutils
  * Remove dependency on libglib, no longer necessary
  * Do not build documentation with nodoc profile/options
  * Remove dbus-broker-docs.docs, no such package
  * Remove dh_auto_test override, no longer needed
  * Update Vcs links in d/control
  * Add debian/* section to d/copyright
  * Bump Standards-Version to 4.5.1
  * Update d/copyright
  * Switch to debhelper-compat 13
  * Enable build-time modern kernel features
  * Update /run/reboot-required.pkgs on upgrade
  * Add Provides: dbus-system-bus, dbus-session-bus
  * Add myself as Maintainer
  * Mark dbus-broker as Multi-Arch: foreign
  * Remove user/dbus.service symlink, no longer necessary
  * Reload on upgrade
  * Add dpkg triggers for dbus config files
  * Add lintian override file
  * Remove Provides: dbus-session-bus, dependency reversed

 -- Luca Boccassi <bluca@debian.org>  Sun, 20 Dec 2020 23:18:55 +0000

=== debian/control ===
Source: dbus-broker
Section: admin
Priority: optional
Maintainer: Luca Boccassi <bluca@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libaudit-dev (>= 2.7),
 libcap-ng-dev (>= 0.6),
 libdbus-1-dev (>= 1.10),
 libexpat1-dev (>= 2.2),
 libselinux1-dev (>= 2.5),
 libsystemd-dev (>= 230),
 linux-libc-dev (>= 4.14),
 meson (>= 0.44),
 pkg-config (>= 0.29),
 python3-docutils (>= 0.13) <!nodoc>,
 systemd (>= 230),
Standards-Version: 4.5.1
Homepage: https://github.com/bus1/dbus-broker/
Vcs-Git: https://salsa.debian.org/bluca/dbus-broker.git
Vcs-Browser: https://salsa.debian.org/bluca/dbus-broker
Rules-Requires-Root: no

Package: dbus-broker
Architecture: linux-any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 systemd-sysv (>= 230),
 dbus,
#Provides: dbus-system-bus
Description: Linux D-Bus Message Broker
 The dbus-broker project is an implementation of a message bus as
 defined by the D-Bus specification. Its aim is to provide high
 performance and reliability, while keeping compatibility to the D-Bus
 reference implementation. It is exclusively written for Linux
 systems, and makes use of many modern features provided by recent
 Linux kernel releases.

=== debian/watch ===
version=4
https://github.com/bus1/dbus-broker/releases .*/v\d.+/dbus-broker-([\d\.]+)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## dbus-broker 29

=== meson_options.txt ===
option('audit', type: 'boolean', value: false, description: 'Audit support')
option('docs', type: 'boolean', value: false, description: 'Build documentation')
option('launcher', type: 'boolean', value: true, description: 'Build compatibility launcher')
option('linux-4-17', type: 'boolean', value: false, description: 'Require linux-4.17 at runtime and make use of its features')
option('reference-test', type: 'boolean', value: false, description: 'Run test suite against reference implementation')
option('selinux', type: 'boolean', value: false, description: 'SELinux support')
option('system-console-users', type: 'array', value: [], description: 'Additional set of names of system-users to be considered at-console')

=== debian/changelog ===
dbus-broker (29-4build1) jammy; urgency=medium

  * No-change rebuild to update maintainer scripts, see LP: 1959054

 -- Dave Jones <dave.jones@canonical.com>  Wed, 16 Feb 2022 16:51:22 +0000

dbus-broker (29-4) unstable; urgency=medium

  * Backport patches to fix activation of units with failing Condition*=
    checks
  * Bump d/copyright year range
  * Update Lintian overrides syntax
  * Note that 0002-Run-user-service-in-session.slice.patch was merged
    upstream

 -- Luca Boccassi <bluca@debian.org>  Sun, 16 Jan 2022 19:52:37 +0000

dbus-broker (29-3) unstable; urgency=medium

  * Backport patch to run user broker in session.slice

 -- Luca Boccassi <bluca@debian.org>  Sun, 31 Oct 2021 23:41:59 +0000

dbus-broker (29-2) unstable; urgency=medium

  * Refresh 0001-Restore-compatibility-with-older-libaudit-
    libselinux.patch
  * Depend on dbus-system-bus-common and provide dbus-system-bus
  * Bump Standards-Version to 4.6.0, no changes
  * Update lintian-override syntax
  * Add upstream/metadata file

 -- Luca Boccassi <bluca@debian.org>  Fri, 29 Oct 2021 00:09:26 +0100

dbus-broker (29-1) unstable; urgency=medium

  * Move package maintenance to the Utopia Team
  * Update upstream source from tag 'upstream/29'
  * Drop deprecated 'linux-4-17' build option
  * Backport patch to restore compatibility with libselinux 3.0

 -- Luca Boccassi <bluca@debian.org>  Sun, 15 Aug 2021 13:37:08 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,9 @@
 Source: dbus-broker
 Section: admin
 Priority: optional
-Maintainer: Luca Boccassi <bluca@debian.org>
+Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Uploaders:
+ Luca Boccassi <bluca@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  libaudit-dev (>= 2.7),
@@ -15,10 +17,10 @@
  pkg-config (>= 0.29),
  python3-docutils (>= 0.13) <!nodoc>,
  systemd (>= 230),
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/bus1/dbus-broker/
-Vcs-Git: https://salsa.debian.org/bluca/dbus-broker.git
-Vcs-Browser: https://salsa.debian.org/bluca/dbus-broker
+Vcs-Git: https://salsa.debian.org/utopia-team/dbus-broker.git
+Vcs-Browser: https://salsa.debian.org/utopia-team/dbus-broker
 Rules-Requires-Root: no
 
 Package: dbus-broker
@@ -28,8 +30,9 @@
  ${shlibs:Depends},
  ${misc:Depends},
  systemd-sysv (>= 230),
- dbus,
-#Provides: dbus-system-bus
+ dbus-system-bus-common,
+Recommends: dbus-bin
+Provides: dbus-system-bus
 Description: Linux D-Bus Message Broker
  The dbus-broker project is an implementation of a message bus as
  defined by the D-Bus specification. Its aim is to provide high

=== debian/tests/control ===
Tests: testsuite.sh
Restrictions: allow-stderr, build-needed
Depends: build-essential, @builddeps@

## dbus-broker 31

=== Makefile ===
#
# Maintenance Scripts
#
# This Makefile contains a random selection of targets for easy development.
# They mostly serve as example how most of the build/test infrastructure is
# used. Feel free to adjust them to your needs.
#

all:
	@echo "Available targets:"
	@echo "    osi: Build test-container via mkosi"
	@echo "    run: Run test-container via nspawn"
	@echo "release: Print checklist for releases"
.PHONY: all

osi:
	mkosi \
		-C test/osi/ \
		--build-sources "../../" \
		--force
.PHONY: osi

run:
	systemd-nspawn \
		-b \
		-D test/osi/rootfs/ \
		--bind-ro "${BUILDDIR}/src/dbus-broker:/usr/bin/dbus-broker" \
		--bind-ro "${BUILDDIR}/src/dbus-broker-launch:/usr/bin/dbus-broker-launch"
.PHONY: run

VNEXT=2
VPREV="$$((${VNEXT} - 1))"
release:
	@echo "Checklist for release of dbus-broker-${VNEXT}:"
	@echo
	@echo " * Fill in NEWS via:"
	@echo "       git log v${VPREV}..HEAD"
	@echo " * List contributors in NEWS via:"
	@echo "       git log --format='%an, ' v${VPREV}..HEAD | sort -u | tr -d '\n'"
	@echo " * Bump project.version in ./meson.build"
	@echo
	@echo " * Commit and push at least once"
	@echo
	@echo " * Tag 'v${VNEXT}' with content 'dbus-broker ${VNEXT}' via:"
	@echo "       git tag -s -m 'dbus-broker ${VNEXT}' v${VNEXT} HEAD"
	@echo " * Create tarball via: (VERIFY YOU HAVE v${VNEXT} CHECKED OUT!)"
	@echo "       meson dist -C build --include-subprojects"
	@echo
	@echo " * Push tag via:"
	@echo "       git push <remote> v${VNEXT}"
	@echo " * Upload tarball to github via custom release"
	@echo
.PHONY: release

=== debian/changelog ===
dbus-broker (31-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Bump dependency on Meson to match upstream's minimum

 -- Luca Boccassi <bluca@debian.org>  Mon, 27 Jun 2022 15:00:47 +0100

dbus-broker (31-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/31'
  * Drop patches merged upstream

 -- Luca Boccassi <bluca@debian.org>  Tue, 17 May 2022 22:33:29 +0100

dbus-broker (30-2) unstable; urgency=medium

  * Backport fixes for assert and memory leaks from upstream (Closes:
    #1010898)
  * Bump Standards-Version to 4.6.1, no changes

 -- Luca Boccassi <bluca@debian.org>  Thu, 12 May 2022 21:30:25 +0100

dbus-broker (30-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/30'
  * Drop patches merged upstream
  * Update d/copyright to fix Lintian warnings

 -- Luca Boccassi <bluca@debian.org>  Tue, 10 May 2022 19:48:03 +0100

dbus-broker (29-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Luca Boccassi <bluca@debian.org>  Wed, 18 Aug 2021 22:19:18 +0100

## dbus-broker 32

=== Makefile ===
--- 
+++ 
@@ -8,31 +8,17 @@
 
 all:
 	@echo "Available targets:"
-	@echo "    osi: Build test-container via mkosi"
-	@echo "    run: Run test-container via nspawn"
 	@echo "release: Print checklist for releases"
+	@echo " fedpkg: Print checklist for fedora packaging"
 .PHONY: all
-
-osi:
-	mkosi \
-		-C test/osi/ \
-		--build-sources "../../" \
-		--force
-.PHONY: osi
-
-run:
-	systemd-nspawn \
-		-b \
-		-D test/osi/rootfs/ \
-		--bind-ro "${BUILDDIR}/src/dbus-broker:/usr/bin/dbus-broker" \
-		--bind-ro "${BUILDDIR}/src/dbus-broker-launch:/usr/bin/dbus-broker-launch"
-.PHONY: run
 
 VNEXT=2
 VPREV="$$((${VNEXT} - 1))"
 release:
 	@echo "Checklist for release of dbus-broker-${VNEXT}:"
 	@echo
+	@echo " * Update subprojects via:"
+	@echo "       meson subprojects update"
 	@echo " * Fill in NEWS via:"
 	@echo "       git log v${VPREV}..HEAD"
 	@echo " * List contributors in NEWS via:"
@@ -51,3 +37,23 @@
 	@echo " * Upload tarball to github via custom release"
 	@echo
 .PHONY: release
+
+fedpkg:
+	@echo "Checklist for Fedora releases (for each branch):"
+	@echo
+	@echo " * Fetch Kerberos ticket:"
+	@echo "       kinit <fas>@FEDORAPROJECT.ORG"
+	@echo
+	@echo " * Edit and Update dbus-broker.spec"
+	@echo
+	@echo " * Pull new sources:"
+	@echo "       curl -O dbus-broker-${VNEXT}.tar.xz https://github.com/bus1/dbus-broker/releases/download/v${VNEXT}/dbus-broker-${VNEXT}.tar.xz"
+	@echo " * Push new sources:"
+	@echo "       fedpkg new-sources dbus-broker-${VNEXT}.tar.xz"
+	@echo
+	@echo " * Commit and push at least once"
+	@echo
+	@echo " * Submit build to Koji:"
+	@echo "       fedpkg build"
+	@echo
+	@echo " * Submit update to Bodhi"

=== debian/changelog ===
dbus-broker (32-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Revert "Enable apparmor support"

 -- Luca Boccassi <bluca@debian.org>  Mon, 08 Aug 2022 11:30:08 +0100

dbus-broker (32-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/32'
  * Enable apparmor support
  * Update Lintian overrides

 -- Luca Boccassi <bluca@debian.org>  Sat, 06 Aug 2022 13:37:31 +0100

=== debian/control ===
--- 
+++ 
@@ -13,11 +13,11 @@
  libselinux1-dev (>= 2.5),
  libsystemd-dev (>= 230),
  linux-libc-dev (>= 4.14),
- meson (>= 0.44),
+ meson (>= 0.60.0),
  pkg-config (>= 0.29),
  python3-docutils (>= 0.13) <!nodoc>,
  systemd (>= 230),
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/bus1/dbus-broker/
 Vcs-Git: https://salsa.debian.org/utopia-team/dbus-broker.git
 Vcs-Browser: https://salsa.debian.org/utopia-team/dbus-broker

## dbus-broker 33

=== debian/changelog ===
dbus-broker (33-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/33'
    For more details see the upstream changelog:
    https://github.com/bus1/dbus-broker/releases/tag/v33
  * postinst: remove hard dependency on sysv-utils

 -- Luca Boccassi <bluca@debian.org>  Mon, 06 Feb 2023 17:11:47 +0000

dbus-broker (32-2) unstable; urgency=medium

  * Add upstream signing key
  * d/watch: fetch signature, use api.github.com
  * Bump Standards-Version to 4.6.2, no changes
  * Bump d/copyright year range

 -- Luca Boccassi <bluca@debian.org>  Sun, 15 Jan 2023 16:30:34 +0000

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
  Luca Boccassi <bluca@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
+ libapparmor-dev (>= 3.0),
  libaudit-dev (>= 2.7),
  libcap-ng-dev (>= 0.6),
  libdbus-1-dev (>= 1.10),
@@ -13,11 +14,11 @@
  libselinux1-dev (>= 2.5),
  libsystemd-dev (>= 230),
  linux-libc-dev (>= 4.14),
- meson (>= 0.60.0),
+ meson (>= 0.44),
  pkg-config (>= 0.29),
  python3-docutils (>= 0.13) <!nodoc>,
  systemd (>= 230),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/bus1/dbus-broker/
 Vcs-Git: https://salsa.debian.org/utopia-team/dbus-broker.git
 Vcs-Browser: https://salsa.debian.org/utopia-team/dbus-broker

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

ifneq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
BUILD_DOCS=false
else
ifneq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
BUILD_DOCS=false
# to stop dh_installdoc from running
export DEB_BUILD_PROFILES += nodoc
else
BUILD_DOCS=true
endif
endif

%:
	dh $@ --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- -Ddocs=$(BUILD_DOCS) -Daudit=true -Dselinux=true -Dapparmor=true -Dlauncher=true

override_dh_installchangelogs:
	dh_installchangelogs NEWS.md

# like dbus-deamon dbus-broker does not support being restarted
# yet. do not restart the deamon on upgrading to a new version
override_dh_installsystemd:
	dh_installsystemd --no-stop-on-upgrade --no-start

## dbus-broker 35

=== meson_options.txt ===
--- 
+++ 
@@ -1,3 +1,4 @@
+option('apparmor', type: 'boolean', value: false, description: 'AppArmor support')
 option('audit', type: 'boolean', value: false, description: 'Audit support')
 option('docs', type: 'boolean', value: false, description: 'Build documentation')
 option('launcher', type: 'boolean', value: true, description: 'Build compatibility launcher')

=== debian/changelog ===
dbus-broker (35-2ubuntu0.1) noble; urgency=medium

  * Backport patch from upstream to check for ESRCH when querying
    SO_PEERPIDFD (LP: #2110040)
  * Backport patches to fix FD use-after-close (LP: #2061155)

 -- Luca Boccassi <bluca@debian.org>  Tue, 06 May 2025 13:34:08 +0100

dbus-broker (35-2) unstable; urgency=medium

  * Build-depend on systemd-dev instead of systemd
  * d/p/github_apparmor_support.patch: enable apparmor support
  * Build depend on pkgconf instead of pkg-config
  * Drop override for deprecated tag package-supports-alternative-init-
    but-no-init.d-script

 -- Luca Boccassi <bluca@debian.org>  Fri, 16 Feb 2024 11:42:07 +0000

dbus-broker (35-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/35'
    For more details see the upstream changelog:
    https://github.com/bus1/dbus-broker/releases/tag/v35

 -- Luca Boccassi <bluca@debian.org>  Sun, 24 Dec 2023 01:31:54 +0100

dbus-broker (34-1) unstable; urgency=medium

  * Enable ELF metadata stamping
  * Update upstream source from tag 'upstream/34'
    For more details see the upstream changelog:
    https://github.com/bus1/dbus-broker/releases/tag/v34
    (Closes: #1043177)
  * Refresh Lintian overrides

 -- Luca Boccassi <bluca@debian.org>  Thu, 14 Dec 2023 11:00:17 +0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: dbus-broker
 Section: admin
 Priority: optional
-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Luca Boccassi <bluca@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
+ dh-package-notes,
  libapparmor-dev (>= 3.0),
  libaudit-dev (>= 2.7),
  libcap-ng-dev (>= 0.6),
@@ -15,9 +17,9 @@
  libsystemd-dev (>= 230),
  linux-libc-dev (>= 4.14),
  meson (>= 0.44),
- pkg-config (>= 0.29),
+ pkgconf,
  python3-docutils (>= 0.13) <!nodoc>,
- systemd (>= 230),
+ systemd-dev,
 Standards-Version: 4.6.2
 Homepage: https://github.com/bus1/dbus-broker/
 Vcs-Git: https://salsa.debian.org/utopia-team/dbus-broker.git

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+include /usr/share/debhelper/dh_package_notes/package-notes.mk
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all

## dbus-broker 36

=== debian/changelog ===
dbus-broker (36-1ubuntu0.25.04.1) plucky; urgency=medium

  * Backport patch from upstream to check for ESRCH when querying
    SO_PEERPIDFD (LP: #2110040)

 -- Luca Boccassi <bluca@debian.org>  Tue, 06 May 2025 13:15:10 +0100

dbus-broker (36-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/36'
  * Bump Standards-Version to 4.7.0, no changes
  * apparmor patch: refresh and use DEP-3 header

 -- Luca Boccassi <bluca@debian.org>  Sat, 13 Apr 2024 12:16:38 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  pkgconf,
  python3-docutils (>= 0.13) <!nodoc>,
  systemd-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/bus1/dbus-broker/
 Vcs-Git: https://salsa.debian.org/utopia-team/dbus-broker.git
 Vcs-Browser: https://salsa.debian.org/utopia-team/dbus-broker

## dbus-broker 37

=== Makefile ===
#
# Maintenance Scripts
#
# This Makefile contains a random selection of targets for easy development.
# They mostly serve as example how most of the build/test infrastructure is
# used. Feel free to adjust them to your needs.
#

# Enforce bash with fatal errors.
SHELL			:= /bin/bash -eo pipefail

# Keep intermediates around on failures for better caching.
.SECONDARY:

# Default build and source directories.
BUILDDIR		?= ./build
SRCDIR			?= .

#
# Target: help
#

.PHONY: help
help:
	@# 80-width marker:
	@#     01234567012345670123456701234567012345670123456701234567012345670123456701234567
	@echo "make [TARGETS...]"
	@echo
	@echo "The following targets are provided by this maintenance makefile:"
	@echo
	@echo "    help:               Print this usage information"
	@echo
	@echo "    release-fedora:     Print checklist for Fedora releases"
	@echo "    release-github:     Print checklist for Github releases"
	@echo
	@echo "    meson-build:        Build the Meson-based project"
	@echo "    meson-setup:        Reconfigure the Meson setup"
	@echo "    meson-test:         Run the Meson-based test suite"
	@echo
	@echo "    system-build:       Build system test-image"
	@echo "    system-run:         Run system test-image"

#
# Target: BUILDDIR
#

$(BUILDDIR)/:
	mkdir -p "$@"

$(BUILDDIR)/%/:
	mkdir -p "$@"

#
# Target: FORCE
#
# Used as alternative to `.PHONY` if the target is not fixed.
#

.PHONY: FORCE
FORCE:

#
# Target: meson-*
#

MESON_SETUP		= \
	meson \
		setup \
		--buildtype "debugoptimized" \
		--reconfigure \
		--warnlevel "2" \
		-D "docs=true" \
		-D "launcher=true" \
		-- \
		$(BUILDDIR)/meson \
		$(SRCDIR)

$(BUILDDIR)/meson/: | $(BUILDDIR)/
	$(MESON_SETUP)

.PHONY: meson-build
meson-build: $(BUILDDIR)/meson/
	meson \
		compile \
		-C "$(BUILDDIR)/meson/"

.PHONY: meson-setup
meson-setup: | $(BUILDDIR)/
	$(MESON_SETUP)

.PHONY: meson-setup
meson-setup-32: | $(BUILDDIR)/
	CFLAGS="-m32" \
	PKG_CONFIG_LIBDIR="/usr/lib32/pkgconfig:/usr/share/pkgconfig" \
	RUSTFLAGS="--target i686-unknown-linux" \
		$(MESON_SETUP)

.PHONY: meson-test
meson-test: $(BUILDDIR)/meson/
	meson \
		test \
		--print-errorlogs \
		-C "$(BUILDDIR)/meson/"

#
# Target: release-*
#

VNEXT=2
VPREV="$$((${VNEXT} - 1))"

.PHONY: release-fedora
release-fedora:
	@echo "Checklist for Fedora releases (for each branch):"
	@echo
	@echo " * Fetch Kerberos ticket:"
	@echo "       kinit <fas>@FEDORAPROJECT.ORG"
	@echo
	@echo " * Edit and Update dbus-broker.spec"
	@echo
	@echo " * Pull new sources:"
	@echo "       curl -O dbus-broker-${VNEXT}.tar.xz https://github.com/bus1/dbus-broker/releases/download/v${VNEXT}/dbus-broker-${VNEXT}.tar.xz"
	@echo " * Push new sources:"
	@echo "       fedpkg new-sources dbus-broker-${VNEXT}.tar.xz"
	@echo
	@echo " * Commit and push at least once"
	@echo
	@echo " * Submit build to Koji:"
	@echo "       fedpkg build"
	@echo
	@echo " * Submit update to Bodhi"
	@echo

.PHONY: release-github
release-github:
	@echo "Checklist for release of dbus-broker-${VNEXT}:"
	@echo
	@echo " * Update subprojects via:"
	@echo "       meson subprojects update"
	@echo " * Fill in NEWS via:"
	@echo "       git log v${VPREV}..HEAD"
	@echo " * List contributors in NEWS via:"
	@echo "       git log --format='%an, ' v${VPREV}..HEAD | sort -u | tr -d '\n'"
	@echo " * Bump project.version in ./meson.build"
	@echo
	@echo " * Commit and push at least once"
	@echo
	@echo " * Tag 'v${VNEXT}' with content 'dbus-broker ${VNEXT}' via:"
	@echo "       git tag -s -m 'dbus-broker ${VNEXT}' v${VNEXT} HEAD"
	@echo " * Create tarball via: (VERIFY YOU HAVE v${VNEXT} CHECKED OUT!)"
	@echo "       meson dist -C build --include-subprojects"
	@echo " * Sign tarball via:"
	@echo "       gpg --armor --detach-sign \"./build/meson-dist/dbus-broker-${VNEXT}.tar.xz\""
	@echo
	@echo " * Push tag via:"
	@echo "       git push <remote> v${VNEXT}"
	@echo " * Upload tarball to github via custom release"
	@echo

#
# Target: system-*
#

.PHONY: system-build
system-build:
	podman \
		build \
		--file "$(SRCDIR)/test/image/dbrk-fedora.Dockerfile" \
		--tag "dbrk-fedora" \
		-- \
		"$(SRCDIR)"

.PHONY: system-run
system-run:
	podman \
		run \
		--interactive \
		--rm \
		--tty \
		"dbrk-fedora"

=== meson_options.txt ===
--- 
+++ 
@@ -6,3 +6,4 @@
 option('reference-test', type: 'boolean', value: false, description: 'Run test suite against reference implementation')
 option('selinux', type: 'boolean', value: false, description: 'SELinux support')
 option('system-console-users', type: 'array', value: [], description: 'Additional set of names of system-users to be considered at-console')
+option('tests', type: 'boolean', value: false, description: 'Include tests in the distribution')

=== subprojects/libcshquote-1/meson_options.txt ===
option('reference-test', type: 'boolean', value: false, description: 'Run tests against reference implementation')

=== subprojects/libcrbtree-3/src/docs/requirements.txt ===
c-apidocs>=0.0.3
clang>=6
hawkmoth>=0.7
meson>=0.60
ninja>=1.10

=== debian/changelog ===
dbus-broker (37-4) unstable; urgency=medium

  * Drop priority from d/control, now defaults to optional
  * Bump Standards-version to 4.7.3
  * Refresh apparmor enablement backports based on latest upstream PR
  * Backport patch to avoid crash when querying apparmor (Closes:
    #1123876)

 -- Luca Boccassi <bluca@debian.org>  Wed, 24 Dec 2025 12:32:17 +0000

dbus-broker (37-3) unstable; urgency=medium

  [ Christian Göttsche ]
  * Update libselinux dependency to fix autopkgtest

 -- Luca Boccassi <bluca@debian.org>  Sun, 23 Nov 2025 21:45:10 +0000

dbus-broker (37-2) unstable; urgency=medium

  * postinst: add workaround for reload timing out on upgrade

 -- Luca Boccassi <bluca@debian.org>  Mon, 14 Jul 2025 21:48:29 +0100

dbus-broker (37-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/37'
    For a full list of changes, see:
    https://github.com/bus1/dbus-broker/releases/tag/v37
  * Drop util-sockopt-also-check-for-ESRCH.patch

 -- Luca Boccassi <bluca@debian.org>  Mon, 16 Jun 2025 14:58:24 +0100

dbus-broker (36-2) unstable; urgency=medium

  * Drop libaudit/libselinux compat patch, not needed since bookworm
  * Backport patch from upstream to check for ESRCH when querying
    SO_PEERPIDFD
  * d/control: bump Standards-Version to 4.7.2, no changes
  * Bump meson build dep version to match meson.build
  * Drop versioned constraints satisfied since bullseye

 -- Luca Boccassi <bluca@debian.org>  Fri, 25 Apr 2025 19:30:26 +0100

=== debian/control ===
Source: dbus-broker
Section: admin
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders:
 Luca Boccassi <bluca@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-package-notes,
 libapparmor-dev (>= 3.0),
 libaudit-dev,
 libcap-ng-dev,
 libdbus-1-dev,
 libexpat1-dev,
 libselinux-dev,
 libsystemd-dev,
 meson (>= 0.60),
 pkgconf,
 python3-docutils <!nodoc>,
 systemd-dev,
Standards-Version: 4.7.3
Homepage: https://github.com/bus1/dbus-broker/
Vcs-Git: https://salsa.debian.org/utopia-team/dbus-broker.git
Vcs-Browser: https://salsa.debian.org/utopia-team/dbus-broker
Rules-Requires-Root: no

Package: dbus-broker
Architecture: linux-any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 systemd-sysv,
 dbus-system-bus-common,
Recommends: dbus-bin
Provides: dbus-system-bus
Description: Linux D-Bus Message Broker
 The dbus-broker project is an implementation of a message bus as
 defined by the D-Bus specification. Its aim is to provide high
 performance and reliability, while keeping compatibility to the D-Bus
 reference implementation. It is exclusively written for Linux
 systems, and makes use of many modern features provided by recent
 Linux kernel releases.
